SELECT a.tablespace_name,
  ROUND(capa.df_size / 1024 / 1024) df_size,
  ROUND((capa.df_size - capa.df_free) / 1024 / 1024) df_used,
  ROUND(capa.df_free / 1024 / 1024) df_free,
  CASE
    WHEN capa.pct_free <= 100
    THEN(CASE
      WHEN capa.pct_free >= 0
      THEN capa.pct_free
      ELSE 0
    END)
   ELSE 100
  END pct_free,
  ROUND(capa.potential / 1024 / 1024) potential,
  ROUND(capa.max_free / 1024 / 1024) max_free
FROM dba_tablespaces a,
  (SELECT a.tablespace_name, df_size,
  (allocated + potential) potential,
  NVL(free, 0) df_free, (NVL(f.max_free, 0) + potential) max_free,
  (ROUND(NVL((NVL(free,0)+potential)/(allocated+potential),0),4)*100) pct_free,
  extensible
  FROM (SELECT tablespace_name, SUM(b.blocks * t.block_size) free,
    MAX(b.blocks * t.block_size) max_free
    FROM (SELECT tablespace_id, blocks
    FROM   dba_lmt_free_space
  UNION ALL
  SELECT tablespace_id, blocks
  FROM   dba_dmt_free_space) b, v$tablespace c, dba_tablespaces t
  WHERE    c.ts# = b.tablespace_id
  AND      c.NAME = t.tablespace_name
  GROUP BY tablespace_name) f,
  (SELECT   tablespace_name,
  SUM(CASE
    WHEN maxbytes <= bytes
      THEN 0
    ELSE maxbytes - bytes
  END) AS potential,
  SUM(user_bytes) allocated, SUM(bytes) df_size,
  MAX(autoextensible) extensible
  FROM     dba_data_files
  GROUP BY tablespace_name) a
  WHERE  a.tablespace_name = f.tablespace_name(+)) capa
  WHERE    a.tablespace_name = capa.tablespace_name
AND      a.status != 'READ ONLY'
AND      capa.pct_free < 15
ORDER BY 1;
