SET LINESIZE 120
SET PAGES 66
COL sql_text FORMAT a25
COL name FORMAT a22
COL total FORMAT 999
COL bytes FORMAT 9999,999,999 HEADING 'Bytes Total'
COL avg FORMAT 99,999,999 HEADING 'Bytes Avg'
COL min FORMAT 99,999,999 HEADING 'Bytes Min'
COL max FORMAT 9999,999,999 HEADING 'Bytes Max'
COMPUTE SUM OF minmem ON report
COMPUTE SUM OF maxmem on report
BREAK ON REPORT
SELECT /*+ ORDERED */ se.sid,n.name, MAX(se.value)/1024/1024 maxmem, sq.sql_text
FROM v$sesstat se, v$statname n, v$session s, v$sqlarea sq
WHERE n.statistic# = se.statistic#
AND n.name IN ('session pga memory','session pga memory max', 'session uga memory','session uga memory max')
AND s.sid = se.sid
AND sq.address = s.sql_address
GROUP BY n.name,se.sid, sq.sql_text
HAVING MAX(se.value) >= 1000000000
ORDER BY 3;